Skip to main content
PUT
Edit custom field

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required
jobPartUid
string
required
instanceUid
string
required

Body

application/json

Custom field instance update. Example (text-type field): {"value": "some text"}. Example (option-type field): {"selectedOptions": [{"uid": "3HYnHHLkTPJfMxBCDbPXFe"}]}

selectedOptions
object[]

Selected option UIDs for option-type custom fields. Mutually exclusive with value. Each item requires a uid. Exactly one of the two must be sent.

value
string

Text value for text-type custom fields. Maximum 4096 characters. Mutually exclusive with selectedOptions. Exactly one of the two must be sent.

Maximum string length: 4096

Response

OK

createdAt
string<date-time>
createdBy
object

Reference to an object by its unique identifier

customField
object
selectedOptions
object[]
uid
string
updatedAt
string<date-time>
updatedBy
object

Reference to an object by its unique identifier

value
string